package it.integry.integrywmsnative.core.rest.model.uds;

import java.math.BigDecimal;
import java.time.LocalDate;

import it.integry.integrywmsnative.core.model.MtbColt;

public class InsertUDCRowRequestDTO {
    private MtbColt targetMtbColt;

    private String codMart;
    private String descrizione;
    private String barcode;
    private BigDecimal qtaTot;
    private BigDecimal qtaCnf;
    private BigDecimal numCnf;
    private String partitaMag;
    private LocalDate dataScad;
    private String codJcom;
    private String gestioneRif;

    private LocalDate dataOrd;
    private Integer numOrd;
    private Integer rigaOrd;

    private LocalDate dataDoc;
    private Integer numDoc;
    private String serDoc;
    private String codDtip;


    public MtbColt getTargetMtbColt() {
        return targetMtbColt;
    }

    public InsertUDCRowRequestDTO setTargetMtbColt(MtbColt targetMtbColt) {
        this.targetMtbColt = targetMtbColt;
        return this;
    }

    public String getCodMart() {
        return codMart;
    }

    public InsertUDCRowRequestDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public InsertUDCRowRequestDTO setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public String getBarcode() {
        return barcode;
    }

    public InsertUDCRowRequestDTO setBarcode(String barcode) {
        this.barcode = barcode;
        return this;
    }

    public BigDecimal getQtaTot() {
        return qtaTot;
    }

    public InsertUDCRowRequestDTO setQtaTot(BigDecimal qtaTot) {
        this.qtaTot = qtaTot;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public InsertUDCRowRequestDTO setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public InsertUDCRowRequestDTO setNumCnf(BigDecimal numCnf) {
        this.numCnf = numCnf;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public InsertUDCRowRequestDTO setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public LocalDate getDataScad() {
        return dataScad;
    }

    public InsertUDCRowRequestDTO setDataScad(LocalDate dataScad) {
        this.dataScad = dataScad;
        return this;
    }

    public String getCodJcom() {
        return codJcom;
    }

    public InsertUDCRowRequestDTO setCodJcom(String codJcom) {
        this.codJcom = codJcom;
        return this;
    }

    public String getGestioneRif() {
        return gestioneRif;
    }

    public InsertUDCRowRequestDTO setGestioneRif(String gestioneRif) {
        this.gestioneRif = gestioneRif;
        return this;
    }

    public LocalDate getDataOrd() {
        return dataOrd;
    }

    public InsertUDCRowRequestDTO setDataOrd(LocalDate dataOrd) {
        this.dataOrd = dataOrd;
        return this;
    }

    public Integer getNumOrd() {
        return numOrd;
    }

    public InsertUDCRowRequestDTO setNumOrd(Integer numOrd) {
        this.numOrd = numOrd;
        return this;
    }

    public Integer getRigaOrd() {
        return rigaOrd;
    }

    public InsertUDCRowRequestDTO setRigaOrd(Integer rigaOrd) {
        this.rigaOrd = rigaOrd;
        return this;
    }

    public LocalDate getDataDoc() {
        return dataDoc;
    }

    public InsertUDCRowRequestDTO setDataDoc(LocalDate dataDoc) {
        this.dataDoc = dataDoc;
        return this;
    }

    public Integer getNumDoc() {
        return numDoc;
    }

    public InsertUDCRowRequestDTO setNumDoc(Integer numDoc) {
        this.numDoc = numDoc;
        return this;
    }

    public String getSerDoc() {
        return serDoc;
    }

    public InsertUDCRowRequestDTO setSerDoc(String serDoc) {
        this.serDoc = serDoc;
        return this;
    }

    public String getCodDtip() {
        return codDtip;
    }

    public InsertUDCRowRequestDTO setCodDtip(String codDtip) {
        this.codDtip = codDtip;
        return this;
    }
}
